from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class XPathObjectType(IntEnum):
    XPATH_UNDEFINED = auto()
    XPATH_NODESET = auto()
    XPATH_BOOLEAN = auto()
    XPATH_NUMBER = auto()
    XPATH_STRING = auto()
    XPATH_POINT = auto()
    XPATH_RANGE = auto()
    XPATH_LOCATIONSET = auto()
    XPATH_USERS = auto()
    XPATH_XSLT_TREE = auto()
